const requestID = 'ITGdnzZuR7hQOI583EUB8U9vC3aPjuoV';
const response = await fetch(
`https://service.pcibooking.net/api/capturecard/${requestID}`,
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log('Deleted:', response.status === 200);
import requests
request_id = 'ITGdnzZuR7hQOI583EUB8U9vC3aPjuoV'
response = requests.delete(
f'https://service.pcibooking.net/api/capturecard/{request_id}',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print('Deleted:', response.status_code == 200)
Card entry form deleted successfully. No content returned.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
Session-Based Card Entry Form
Delete Card Entry Form
Delete a card entry form session created via the API.
DELETE
/
api
/
capturecard
/
{RequestID}
const requestID = 'ITGdnzZuR7hQOI583EUB8U9vC3aPjuoV';
const response = await fetch(
`https://service.pcibooking.net/api/capturecard/${requestID}`,
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log('Deleted:', response.status === 200);
import requests
request_id = 'ITGdnzZuR7hQOI583EUB8U9vC3aPjuoV'
response = requests.delete(
f'https://service.pcibooking.net/api/capturecard/{request_id}',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print('Deleted:', response.status_code == 200)
Card entry form deleted successfully. No content returned.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
Hosted Card Entry Form Guide
API session approach for embedded card capture
Error Responses
| Code | HTTP Status | Condition |
|---|---|---|
| -1003 | 401 | Missing or invalid API key in the Authorization header. |
| N/A | 403 | The session belongs to a different user than the authenticated API key. |
| N/A | 404 | Card entry form session with the specified RequestID was not found. |
Parameters
Headers
string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. See the Authentication guide.Path Parameters
string
required
The request ID returned from Create Card Entry Form session.
const requestID = 'ITGdnzZuR7hQOI583EUB8U9vC3aPjuoV';
const response = await fetch(
`https://service.pcibooking.net/api/capturecard/${requestID}`,
{
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
console.log('Deleted:', response.status === 200);
import requests
request_id = 'ITGdnzZuR7hQOI583EUB8U9vC3aPjuoV'
response = requests.delete(
f'https://service.pcibooking.net/api/capturecard/{request_id}',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print('Deleted:', response.status_code == 200)
Response
200 - Session deleted successfully. 404 - Session not found.Card entry form deleted successfully. No content returned.
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}

